Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionType/FrmConstructionType.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionType/FrmConstructionType.designer.cs	(revision 351)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionType/FrmConstructionType.designer.cs	(revision 352)
@@ -573,9 +604,9 @@
             // 
             // Column5
             // 
-            dataGridViewCellStyle9.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle9.ForeColor = System.Drawing.Color.Black;
-            this.Column5.DefaultCellStyle = dataGridViewCellStyle9;
+            dataGridViewCellStyle18.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle18.ForeColor = System.Drawing.Color.Black;
+            this.Column5.DefaultCellStyle = dataGridViewCellStyle18;
             this.Column5.Frozen = true;
             this.Column5.HeaderText = "経費";
             this.Column5.Name = "Column5";
@@ -613,10 +644,10 @@
             this.KeyDown += new System.Windows.Forms.KeyEventHandler(this.FrmConstructionType_KeyDown);
             this.tableLayoutPanel1.ResumeLayout(false);
             this.tableLayoutPanel1.PerformLayout();
+            ((System.ComponentModel.ISupportInitialize)(this.dgvExpenses)).EndInit();
             ((System.ComponentModel.ISupportInitialize)(this.numUDPeriod)).EndInit();
             this.panel1.ResumeLayout(false);
             this.panel1.PerformLayout();
-            ((System.ComponentModel.ISupportInitialize)(this.dgvExpenses)).EndInit();
             ((System.ComponentModel.ISupportInitialize)(this.dgvWorkList)).EndInit();
             this.ResumeLayout(false);
             this.PerformLayout();
@@ -660,5 +691,7 @@
         private System.Windows.Forms.DataGridViewCheckBoxColumn Column4;
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn3;
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn1;
+        private System.Windows.Forms.Label label7;
+        private System.Windows.Forms.ComboBox cmbRepairFlg;
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurity.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurity.cs	(revision 351)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurity.cs	(revision 352)
@@ -174,6 +174,7 @@
                                                     new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.MaterialItem, string.Empty),          // 資材品目登録
                                                     new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.SalesConfirm, string.Empty),          // 売上確認
                                                     new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.BankBusinessDay, string.Empty),       // 銀行営業日登録
+                                                    new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.BudgetCodeSum, string.Empty),         // 予算書集計コード登録
                                                                         };
         #endregion
         #endregion
@@ -887,7 +888,7 @@
         /// <param name="e"></param>
         private void FrmSecurity_SizeChanged(object sender, EventArgs e)
         {
-            if (this.WindowState== FormWindowState.Normal)
+            if (this.WindowState == FormWindowState.Normal)
             {
                 // Normalサイズ設定
                 OrignalSizeSet();
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Term/FrmTerm.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Term/FrmTerm.cs	(revision 351)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Term/FrmTerm.cs	(revision 352)
@@ -1336,12 +1336,14 @@
             else if (this.WindowState == FormWindowState.Maximized)
             {
                 // 最大化
-                CellSizeChangesWhenChangingScreenSize(false);
+                //CellSizeChangesWhenChangingScreenSize(false);
+                dgvWorkList.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.DisplayedCells;
             }
             else if (this.WindowState == FormWindowState.Normal)
             {
                 // 標準化
-                CellSizeChangesWhenChangingScreenSize(true);
+                //CellSizeChangesWhenChangingScreenSize(true);
+                dgvWorkList.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
             }
         }
         #endregion
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Term/FrmTerm.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Term/FrmTerm.designer.cs	(revision 351)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Term/FrmTerm.designer.cs	(revision 352)
@@ -579,7 +579,6 @@
             // 
             this.dgvWorkList.AllowUserToAddRows = false;
             this.dgvWorkList.AllowUserToDeleteRows = false;
-            this.dgvWorkList.AllowUserToResizeColumns = false;
             this.dgvWorkList.AllowUserToResizeRows = false;
             this.dgvWorkList.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
             | System.Windows.Forms.AnchorStyles.Left) 
@@ -627,7 +626,6 @@
             dataGridViewCellStyle2.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             dataGridViewCellStyle2.ForeColor = System.Drawing.Color.Black;
             this.Column0.DefaultCellStyle = dataGridViewCellStyle2;
-            this.Column0.Frozen = true;
             this.Column0.HeaderText = "№";
             this.Column0.Name = "Column0";
             this.Column0.ReadOnly = true;
@@ -636,7 +634,6 @@
             // 
             // Column6
             // 
-            this.Column6.Frozen = true;
             this.Column6.HeaderText = "工事状況コード";
             this.Column6.Name = "Column6";
             this.Column6.ReadOnly = true;
@@ -645,20 +642,18 @@
             // 
             // Column2
             // 
+            this.Column2.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.None;
             dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
             dataGridViewCellStyle3.BackColor = System.Drawing.Color.White;
             dataGridViewCellStyle3.ForeColor = System.Drawing.Color.Black;
             this.Column2.DefaultCellStyle = dataGridViewCellStyle3;
-            this.Column2.Frozen = true;
             this.Column2.HeaderText = "工事状況";
             this.Column2.Name = "Column2";
             this.Column2.ReadOnly = true;
-            this.Column2.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column2.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             // 
             // Column7
             // 
-            this.Column7.Frozen = true;
             this.Column7.HeaderText = "対象項目コード";
             this.Column7.Name = "Column7";
             this.Column7.ReadOnly = true;
@@ -667,28 +662,26 @@
             // 
             // Column3
             // 
+            this.Column3.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.None;
             dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
             dataGridViewCellStyle4.BackColor = System.Drawing.Color.White;
             dataGridViewCellStyle4.ForeColor = System.Drawing.Color.Black;
             this.Column3.DefaultCellStyle = dataGridViewCellStyle4;
-            this.Column3.Frozen = true;
             this.Column3.HeaderText = "対象項目";
             this.Column3.Name = "Column3";
             this.Column3.ReadOnly = true;
-            this.Column3.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             // 
             // Column8
             // 
+            this.Column8.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.None;
             dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
             dataGridViewCellStyle5.BackColor = System.Drawing.Color.White;
             dataGridViewCellStyle5.ForeColor = System.Drawing.Color.Black;
             this.Column8.DefaultCellStyle = dataGridViewCellStyle5;
-            this.Column8.Frozen = true;
             this.Column8.HeaderText = "タイミング";
             this.Column8.Name = "Column8";
             this.Column8.ReadOnly = true;
-            this.Column8.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column8.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.Column8.Width = 160;
             // 
@@ -696,25 +689,22 @@
             // 
             dataGridViewCellStyle6.ForeColor = System.Drawing.Color.Black;
             this.Column1.DefaultCellStyle = dataGridViewCellStyle6;
-            this.Column1.Frozen = true;
             this.Column1.HeaderText = "枝番";
             this.Column1.Name = "Column1";
             this.Column1.ReadOnly = true;
-            this.Column1.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column1.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.Column1.Visible = false;
             // 
             // Column9
             // 
+            this.Column9.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.None;
             dataGridViewCellStyle7.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
             dataGridViewCellStyle7.BackColor = System.Drawing.Color.White;
             dataGridViewCellStyle7.ForeColor = System.Drawing.Color.Black;
             this.Column9.DefaultCellStyle = dataGridViewCellStyle7;
-            this.Column9.Frozen = true;
             this.Column9.HeaderText = "日";
             this.Column9.Name = "Column9";
             this.Column9.ReadOnly = true;
-            this.Column9.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column9.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.Column9.Width = 50;
             // 
@@ -725,7 +715,6 @@
             this.Column4.HeaderText = "タイトル";
             this.Column4.Name = "Column4";
             this.Column4.ReadOnly = true;
-            this.Column4.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column4.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.Column4.Width = 300;
             // 
@@ -736,7 +725,6 @@
             this.Column5.HeaderText = "メッセージ";
             this.Column5.Name = "Column5";
             this.Column5.ReadOnly = true;
-            this.Column5.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column5.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.Column5.Width = 600;
             // 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.cs	(revision 351)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.cs	(revision 352)
@@ -295,9 +295,9 @@
                         strSQL.Append(" Inner Join constructiontypemaster AS ConstrType On ConstrType.TypeCode = Base.ConstructionType");
                         strSQL.AppendFormat(" WHERE EXDB.CONSTRUCTIONCODE in {0}", strInWher);
                         strSQL.Append(" AND EXDB.SOURCECODE = A.CONSTRUCTIONCODE");
-                        strSQL.AppendFormat(" AND ((ConstrType.PublicFlg != {0}", (int)ConstructionTypeMaster.ConstructionTypeDef.Community);
+                        strSQL.AppendFormat(" AND ((ConstrType.PublicFlg != {0}", (int)ConstructionTypeMaster.PublicFlgDef.Community);
                         strSQL.AppendFormat(" AND EXDB.EXECUTIONAMOUNT >= {0})", CommonDefine.s_PrintOutPrice);
-                        strSQL.AppendFormat(" Or (ConstrType.PublicFlg = {0}", (int)ConstructionTypeMaster.ConstructionTypeDef.Community);
+                        strSQL.AppendFormat(" Or (ConstrType.PublicFlg = {0}", (int)ConstructionTypeMaster.PublicFlgDef.Community);
                         strSQL.AppendFormat(" And  EXDB.EXECUTIONAMOUNT >= {0})))", CommonDefine.s_PrintOutPricePublic);
 
                         break;
Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 351)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 352)
@@ -708,6 +708,11 @@
                                                                     (int)ClsExcute.MaintenanceExecuteNo.ConstructionWork,
                                                                     (int)ClsExcute.MaintenanceExecuteNo.ComponentLink
                                                                 },
+                                                                { (int)ClsExcute.MaintenanceExecuteNo.BudgetCodeSum,
+                                                                    0,
+                                                                    0,
+                                                                    0
+                                                                },
                                                                 { (int)ClsExcute.MaintenanceExecuteNo.BusinessType,
                                                                     (int)ClsExcute.MaintenanceExecuteNo.OrderDivision,
                                                                     (int)ClsExcute.MaintenanceExecuteNo.ConstrExpenses,
@@ -1490,21 +1495,10 @@
                 // 行毎に書き込みの権限を判定する
                 if (PersonCode == CommonDefine.s_CompanyActionCode)
                 {   // 会社行事
-                    // 新セキュリティ対応
-                    if (CommonMotions.LoginUserData.SecCode == 0)
-                    {
-                        // 所属長以上は書き込める
-                        if (CommonMotions.LoginUserData.SecurityManagement != CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key) bPatmission = true;
-                        // 所属長以上でなくても総務部は書き込める
-                        if (CommonMotions.LoginUserData.DepartmentCode == CommonDefine.s_GeneralAffairsDevision) bPatmission = true;
-                    }
-                    else
-                    {
-                        // 所属長以上は書き込める
-                        if (CommonMotions.LoginUserSecurity.SecRank != CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority].Key) bPatmission = true;
-                        // 所属長以上でなくても総務部は書き込める
-                        if (CommonMotions.LoginUserSecurity.GeneralAffairs == (int)SecurityMaster.GeneAffDef.GeneralDep) bPatmission = true;
-                    }
+                    // 所属長以上は書き込める
+                    if (CommonMotions.LoginUserSecurity.SecRank != CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority].Key) bPatmission = true;
+                    // 所属長以上でなくても総務部は書き込める
+                    if (CommonMotions.LoginUserSecurity.GeneralAffairs == (int)SecurityMaster.GeneAffDef.GeneralDep) bPatmission = true;
                 }
                 else if (PersonCode == CommonDefine.s_DivisionActionCode)
                 {   // 部署行事は全員が書き込める
@@ -1520,47 +1514,39 @@
                 }
                 else
                 {   // ----- それ以外は書き込み権限があれば書き込める
-                    // 新セキュリティ対応
-                    if (CommonMotions.LoginUserData.SecCode == 0)
+                    int SRank = (int)CommonDefine.SecurityRankPos.SpecialAuthority;     // 経営者アクセス
+                    int FRank = (int)CommonDefine.SecurityRankPos.FreeAuthority;        // 統括者アクセス
+                    int LRank = (int)CommonDefine.SecurityRankPos.LimitedAuthority;     // 所属長アクセス
+
+                    // システム管理者は全てOK
+                    if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)
                     {
-                        if (ClsSecurityPermission.ActionSchdulePermission(PersonCode)) bPatmission = true;
+                        bPatmission = true;
                     }
-                    else
+                    else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[SRank].Key)
                     {
-                        int SRank = (int)CommonDefine.SecurityRankPos.SpecialAuthority;     // 経営者アクセス
-                        int FRank = (int)CommonDefine.SecurityRankPos.FreeAuthority;        // 統括者アクセス
-                        int LRank = (int)CommonDefine.SecurityRankPos.LimitedAuthority;     // 所属長アクセス
-
-                        // システム管理者は全てOK
-                        if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)
+                        // ===== 統括者アクセス対象の条件を調べる
+                        bPatmission = true;
+                    }
+                    // ログイン者が所属長の場合は対象者の所属部署を参照部署と比較
+                    else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[FRank].Key
+                        || CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[LRank].Key)
+                    {
+                        // 参照部署取得
+                        List<KeyValuePair<int, string>> DepList = new List<KeyValuePair<int, string>>();
+                        ClsSecurityPermission.GetRefDepartment(CommonMotions.LoginUserData.PersonCode, ref DepList);
+                        int Range = 0;
+                        int CurRank = ClsSecurityPermission.GetPersonDataAccessRank(PersonCode, ref Range);
+                        // 参照部署にあるかのチェック
+                        foreach (PersonDepartmentMaster RefDepRec in CommonMotions.LoginUserRefDepartment)
                         {
-                            bPatmission = true;
-                        }
-                        else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[SRank].Key)
-                        {
-                            // ===== 統括者アクセス対象の条件を調べる
-                            bPatmission = true;
-                        }
-                        // ログイン者が所属長の場合は対象者の所属部署を参照部署と比較
-                        else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[FRank].Key
-                            || CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[LRank].Key)
-                        {
-                            // 参照部署取得
-                            List<KeyValuePair<int, string>> DepList = new List<KeyValuePair<int, string>>();
-                            ClsSecurityPermission.GetRefDepartment(CommonMotions.LoginUserData.PersonCode, ref DepList);
-                            int Range = 0;
-                            int CurRank = ClsSecurityPermission.GetPersonDataAccessRank(PersonCode, ref Range);
-                            // 参照部署にあるかのチェック
-                            foreach (PersonDepartmentMaster RefDepRec in CommonMotions.LoginUserRefDepartment)
+                            if (DepCode == RefDepRec.DepartmentCode)
                             {
-                                if (DepCode == RefDepRec.DepartmentCode)
+                                // 書込み者が自分より上位者では無い場合は読み込める
+                                if (CommonMotions.LoginUserSecurity.SecRank <= CurRank)
                                 {
-                                    // 書込み者が自分より上位者では無い場合は読み込める
-                                    if (CommonMotions.LoginUserSecurity.SecRank <= CurRank)
-                                    {
-                                        bPatmission = true;
-                                        break;
-                                    }
+                                    bPatmission = true;
+                                    break;
                                 }
                             }
                         }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 351)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 352)
@@ -2649,6 +2649,7 @@
                 }
                 dgv.ResumeLayout();
                 DisplayControlProgressBar(false);
+                dgv.CurrentCell = null;
             }
         }
         #endregion
@@ -2890,6 +2891,8 @@
                 // グリッドソート実行
                 GridSortExcute(dgv);
                 DisplayControlProgressBar(false);
+
+                dgv.CurrentCell = null;
             }
         }
         #endregion
@@ -3129,6 +3132,7 @@
                 // グリッドソート実行
                 GridSortExcute(dgv);
                 DisplayControlProgressBar(false);
+                dgv.CurrentCell = null;
             }
         }
         #endregion
@@ -3873,6 +3877,8 @@
                 cbiDB.close(); cbiDB = null;
                 dgv.ResumeLayout();
                 DisplayControlProgressBar(false);
+
+                dgv.CurrentCell = null;
             }
         }
         #endregion
@@ -4079,6 +4085,7 @@
                 cbiDB.close(); cbiDB = null;
                 dgv.ResumeLayout();
                 DisplayControlProgressBar(false);
+                dgv.CurrentCell = null;
             }
         }
         #endregion
@@ -4286,6 +4293,7 @@
                 cbiDB.close(); cbiDB = null;
                 dgv.ResumeLayout();
                 DisplayControlProgressBar(false);
+                dgv.CurrentCell = null;
             }
         }
         #endregion
@@ -4454,6 +4462,7 @@
                 dmDB.close(); dmDB = null;
                 dgv.ResumeLayout();
                 DisplayControlProgressBar(false);
+                dgv.CurrentCell = null;
             }
         }
         #endregion
@@ -5146,6 +5155,7 @@
                 dmDB.close(); dmDB = null;
                 dgv.ResumeLayout();
                 DisplayControlProgressBar(false);
+                dgv.CurrentCell = null;
             }
         }
         #endregion
@@ -5213,7 +5223,8 @@
         {
             IOConstructionBaseInfo cbiDB = new IOConstructionBaseInfo();
             IOMPersonInCharge picDB = new IOMPersonInCharge();
-            dgvNonOrders.SuspendLayout();
+            DataGridView dgv = dgvNonOrders;
+            dgv.SuspendLayout();
             try
             {
                 // 工事検索時は検索画面の値をセットする
@@ -5224,7 +5235,7 @@
                     numUDNonOrder.ValueChanged += new EventHandler(numUDNonOrder_ValueChanged);
                 }
 
-                dgvNonOrders.Rows.Clear();
+                dgv.Rows.Clear();
                 // SQL作成
                 StringBuilder strSQL = new StringBuilder();
                 strSQL.Append("SELECT");
@@ -5316,12 +5327,12 @@
                     if (BreakConstructionPeriod != wrkRec.ConstructionPeriod)
                     {
                         BreakConstructionPeriod = wrkRec.ConstructionPeriod;
-                        dgvNonOrders.Rows.Add();
+                        dgv.Rows.Add();
                         iLineCnt++;
                     }
 
                     // データセット
-                    int LineCnt = dgvNonOrders.Rows.Add(wrkRec.ConstructionCode
+                    int LineCnt = dgv.Rows.Add(wrkRec.ConstructionCode
                                                 , ino
                                                 , wrkRec.ConstructionPeriod
                                                 , Details[0]
@@ -5337,9 +5348,9 @@
 
                 }
                 // 行や列を追加したり、セルに値を設定するときは、自動サイズ設定しない。
-                dgvNonOrders.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
-                dgvNonOrders.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.None;
-                dgvNonOrders.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
+                dgv.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
+                dgv.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.None;
+                dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
 
                 // ProgressBarの値を変更する
                 MainProgressBar.Value = MainProgressBar.Maximum;
@@ -5353,20 +5364,21 @@
             finally
             {
                 // 読込時データカウント取得
-                if (CommonDefine.s_MaxInitLineCount > dgvNonOrders.RowCount)
-                    dgvNonOrders.RowCount += (CommonDefine.s_MaxInitLineCount - dgvNonOrders.RowCount);
+                if (CommonDefine.s_MaxInitLineCount > dgv.RowCount)
+                    dgv.RowCount += (CommonDefine.s_MaxInitLineCount - dgv.RowCount);
 
                 // データが多くなればソートできる
-                foreach (DataGridViewColumn wrkCol in dgvNonOrders.Columns)
+                foreach (DataGridViewColumn wrkCol in dgv.Columns)
                     wrkCol.SortMode = DataGridViewColumnSortMode.Automatic;
 
                 // グリッドソート実行
-                GridSortExcute(dgvNonOrders);
+                GridSortExcute(dgv);
 
                 cbiDB.close(); cbiDB = null;
                 picDB.close(); picDB = null;
-                dgvNonOrders.ResumeLayout();
+                dgv.ResumeLayout();
                 DisplayControlProgressBar(false);
+                dgv.CurrentCell = null;
             }
         }
         #endregion
@@ -5425,6 +5437,7 @@
         {
             IOConstructionBaseInfo cbiDB = new IOConstructionBaseInfo();
             IOMPersonInCharge picDB = new IOMPersonInCharge();
+            DataGridView dgv = dgvCompletionOfConstruction;
             try
             {
                 // 工事検索時は検索画面の値をセットする
@@ -5435,7 +5448,7 @@
                     numUDCompletion.ValueChanged += new EventHandler(numUDCompletion_ValueChanged);
                 }
 
-                dgvCompletionOfConstruction.Rows.Clear();
+                dgv.Rows.Clear();
                 // SQL作成
                 StringBuilder strSQL = new StringBuilder();
                 strSQL.Append("SELECT");
@@ -5510,9 +5523,9 @@
                 if (arData.Count != 0) DispCompOfConstrGrid(cbiDB, arData);
 
                 // 行や列を追加したり、セルに値を設定するときは、自動サイズ設定しない。
-                dgvCompletionOfConstruction.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
-                dgvCompletionOfConstruction.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.None;
-                dgvCompletionOfConstruction.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
+                dgv.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
+                dgv.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.None;
+                dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
 
                 // ProgressBarの値を変更する
                 MainProgressBar.Value = MainProgressBar.Maximum;
@@ -5557,18 +5570,19 @@
             finally
             {
                 // 読込時データカウント取得
-                if (CommonDefine.s_MaxInitLineCount > dgvCompletionOfConstruction.RowCount)
-                    dgvCompletionOfConstruction.RowCount += (CommonDefine.s_MaxInitLineCount - dgvCompletionOfConstruction.RowCount);
-                foreach (DataGridViewColumn wrkCol in dgvCompletionOfConstruction.Columns)
+                if (CommonDefine.s_MaxInitLineCount > dgv.RowCount)
+                    dgv.RowCount += (CommonDefine.s_MaxInitLineCount - dgv.RowCount);
+                foreach (DataGridViewColumn wrkCol in dgv.Columns)
                     wrkCol.SortMode = DataGridViewColumnSortMode.Automatic;
 
                 // グリッドソート実行
-                GridSortExcute(dgvCompletionOfConstruction);
-                dgvCompletionOfConstruction.ResumeLayout();
+                GridSortExcute(dgv);
+                dgv.ResumeLayout();
 
                 cbiDB.close(); cbiDB = null;
                 picDB.close(); picDB = null;
                 DisplayControlProgressBar(false);
+                dgv.CurrentCell = null;
             }
         }
         #endregion
